Page MenuHomePhabricator

convert the RTL blocking bug T2745 into a tag
Closed, ResolvedPublic

Description

The RTL blocking/tracking bug T2745 can be converted into a Phabricator tag.

It also has some "sub-tracker" bugs, for example T35126, which is for RTL bugs in VisualEditor. These can eliminated as well. They should have the RTL tag and the appropriate project tag.

Event Timeline

Amire80 created this task.Dec 16 2014, 3:37 PM
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added a project: Phabricator.
Amire80 changed Security from none to None.
Amire80 added subscribers: Amire80, Qgil, Aklapper.
Qgil edited projects, added Project-Admins; removed Phabricator.Dec 16 2014, 4:58 PM
Qgil triaged this task as Normal priority.Dec 17 2014, 9:14 AM

I like the idea but converting looks rather cumbersome, see my general comment in T75703#936775.

Any naming proposal? "RTL-bidirectional" or such? Tag project description text could link to https://www.mediawiki.org/wiki/Directionality_support ?

And I've always wondered (already in Bugzilla) how this collides or not with the existing i18n tag - is RTL always a subset of i18n?

Qgil added a comment.EditedDec 19 2014, 8:44 PM

I like the idea but converting looks rather cumbersome, see my general comment in T75703#936775.

https://phabricator.wikimedia.org/maniphest/query/bKU3kGuAWKFB/#R :)

Any naming proposal? "RTL-bidirectional" or such? Tag project description text could link to https://www.mediawiki.org/wiki/Directionality_support ?

Just "RTL" or "bidi" should be enough, if it's possible to make something very short.

Linking to https://www.mediawiki.org/wiki/Directionality_support is OK.

And I've always wondered (already in Bugzilla) how this collides or not with the existing i18n tag - is RTL always a subset of i18n?

Indeed, all RTL bugs are i18n bugs, but i18n includes many more topics. If there is a way to organize a hierarchy of bugs that will automatically infer that all RTL bugs are i18n bugs, it would be a nice thing to have.

RTL could be a Bugzilla tag like i18n is from the start, but somehow RTL issues ended up being tracked by a blocking bug. Now would be a good time to clean that up :)

We can make Herald set the I18n tag whenever a future RTL tag is added to a task. Does that sound reasonable?

BiDi could be an additional hashtag.

For converting tracking tasks to projects there is now documentation available.

Aklapper lowered the priority of this task from Normal to Low.Apr 24 2015, 3:19 PM

My remaining question still stands:

We can make Herald automatically add the I18n tag whenever a future RTL tag is added to a task. Does that sound reasonable?

Someone please answer.

My remaining question still stands:

We can make Herald automatically add the I18n tag whenever a future RTL tag is added to a task. Does that sound reasonable?

Someone please answer.

Yes.

Aklapper closed this task as Resolved.Jun 2 2015, 2:25 PM
Aklapper claimed this task.

Requested project RTL has been created: https://phabricator.wikimedia.org/project/profile/1280/

T2745 has been updated accordingly and closed as declined.

Please encourage interested people to visit the project and to join the project as members, and to subscribe themselves to the project in order to receive updates!

Recommended practices for project and workboard management in Phabricator are available.

And if for some reason you ever want to rename the project, please check the guidelines first.

I also created H32 for automatically adding I18n to RTL tasks.

Enjoy!

Aklapper renamed this task from convert the RTL blocking bug into a tag to convert the RTL blocking bug T2745 into a tag.Jun 2 2015, 2:25 PM
Aklapper added a project: RTL.